<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>mysql_list_fields</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Zeigt die Felder einer Tabelle">
<meta name="keywords"       content="SELFPHP, PHP, MySQL-Funktionen, mysql_list_fields">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-20T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/mysql_funktionen/mysql_list_fields.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-20T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // MySQL-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>mysql_list_fields</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10>
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>int <b>mysql_list_fields</b>(string Datenbankname, string Tabellenname 
        [, int Verbindungs-Kennung])</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="399">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>Mit mysql_list_fields() kann man sich anhand einer Verbindungskennung<br>
        (Verbindungs-Kennung), des Datenbanknamens (Datenbankname) und des<br>
        Tabellennames (Tabellenname) alle Felder einer Tabelle auflisten lassen. 
        Als<br>
        R&uuml;ckgabewert dieser Funktion erhalten Sie einen ganzzahlig positiven 
        Wert als<br>
        Ergebnis-Kennung, welche Sie f&uuml;r andere Funktionen wie z.B.<br>
        mysql_field_name() nutzen k&ouml;nnen.<br>
        Falls der Wert f&uuml;r die Verbindungskennung (Verbindungs-Kennung) fehlt, 
        so<br>
        wird auf die aktuelle Verbindung zur&uuml;ckgegriffen.<br>
        Auf m&ouml;gliche Fehlermeldungen k&ouml;nnen Sie nur direkt zugreifen, 
        wenn Sie der<br>
        Funktion ein &quot;@&quot; voranstellen, sonst wird die Fehlermeldung 
        in die Variable<br>
        &quot;$phperrmsg&quot; geschrieben.</p>
      <p>Mit folgenden Funktionen k&ouml;nnen Sie auf die Ergebnis-Kennung zur&uuml;ckgreifen:</p>
      <ul>
        <li><a href="mysql_field_flags.html">mysql_field_flags()</a></li>
        <li><a href="mysql_field_len.html">mysql_field_len()</a></li>
        <li><a href="mysql_field_name.html">mysql_field_name()</a></li>
        <li><a href="mysql_field_type.html">mysql_field_type()</a></li>
      </ul>
      <p>Abw&auml;rtskompatible Funktionen:</p>
      <ul>
        <li>mysql_listfields()</li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF">
	<p>/*<b><br>
        </b><b>Datenbank:</b> </p>
      <table border="0" bgcolor=A6A6A6>
        <tr> 
          <td align=center><b>Field</b></td>
          <td align=center><b>Type</b></td>
          <td align=center><b>Null</b></td>
          <td align=center><b>Default</b></td>
		  <td align=center><b>Extra</b></td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>id</td>
          <td>int(4)</td>
          <td>No</td>
          <td>0</td>
          <td>auto_increment</td>
        </tr>
        <tr bgcolor=CCCCCC> 
          <td>gruppe</td>
          <td>varchar(50)</td>
          <td>Yes</td>
          <td></td>
		  <td></td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>befehl</td>
          <td>varchar(51)</td>
          <td>Yes</td>
          <td></td>
		  <td></td>
        </tr>
        <tr bgcolor=CCCCCC> 
          <td>version</td>
          <td>varchar(52)</td>
          <td>Yes</td>
          <td></td>
		  <td></td>
        </tr>
      </table>
      <p>*/</p>
      <pre>&lt;?PHP
/* Datenbankserver - In der Regel die IP */<br>  $db_server = &quot;localhost&quot;;</pre>
      <pre>/* Datenbankname */
  $db_name = &quot;selfphp&quot;;</pre>
      <pre>/* Datenbankuser */
  $db_user = &quot;root&quot;;</pre>
      <pre>/* Datenbankpasswort */
  $db_passwort = &quot;mega&quot;;
         
/* Erstellt Connect zu Datenbank her */<br>  $db = @MYSQL_CONNECT($db_server,$db_user,$db_passwort);<br>  $result = mysql_list_fields($db_name, &quot;selfphp_funktionen&quot;,$db);<br>  $menge = mysql_num_fields($result);<br>  for($x=0;$x&lt;$menge;$x++){<br>    $type = mysql_field_type($result,$x);<br>    $name = mysql_field_name($result,$x); <br>    $len = mysql_field_len($result,$x); <br>    $flags = mysql_field_flags($result,$x); <br>    echo &quot;Feld &lt;b&gt;$name&lt;/b&gt;:&lt;br&gt;&quot;;<br>    echo &quot;&amp;nbsp;&amp;nbsp;&amp;nbsp;$type [$len]&quot;;<br>    echo &quot;$flags&lt;BR&gt;&quot;;<br>  }<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Feld <b>id</b>:<br>
        &nbsp;&nbsp;&nbsp;int [4] not_null primary_key auto_increment<br>
        Feld <b>gruppe</b>:<br>
        &nbsp;&nbsp;&nbsp;string [50] <br>
        Feld <b>befehl</b>:<br>
        &nbsp;&nbsp;&nbsp;string [51] <br>
        Feld <b>version</b>:<br>
        &nbsp;&nbsp;&nbsp;string [52]</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="mysql_list_tables.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_list_tables.html"><b>mysql_list_tables</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="mysql_list_dbs.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_list_dbs.html"><b>mysql_list_dbs</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>